<script lang="ts" setup>
import { useAuthStore } from '@/stores/auth'
import type User from '@/types/user'
import { mdiChevronDown } from '@mdi/js'
import { onMounted } from 'vue'
const authStore = useAuthStore()
const user: User = authStore.getUser()
onMounted(async () => {
  await authStore.getUser()
  console.log('user', user)
})
</script>
<template>
  <v-toolbar align="end">
    <v-toolbar-title class="display-2"></v-toolbar-title>
    <v-container
      ><v-row
        ><v-col
          ><v-btn to="/" class="mr-3" style="font-size: large">หน้าหลัก</v-btn
          ><v-menu>
            <template v-slot:activator="{ props }">
              <v-btn v-bind="props" style="font-size: large" :append-icon="mdiChevronDown"
                >บริการ
              </v-btn>
            </template>
            <v-list>
              <v-list-item>
                <v-list-item-title
                  ><v-btn to="/reserve" variant="plain" style="font-size: large"
                    >จองคิวซ่อม/ลงโปรแกรม
                  </v-btn></v-list-item-title
                >
              </v-list-item>
              <v-list-item>
                <v-list-item-title
                  ><v-btn to="/consult" variant="plain" style="font-size: large"
                    >ขอคำปรึกษา
                  </v-btn></v-list-item-title
                >
              </v-list-item>
            </v-list>
          </v-menu>
          <v-btn to="/tracking" style="font-size: large">ติดตามสถานะ</v-btn>
          <v-menu v-if="user && user.role !== 'user'">
            <template v-slot:activator="{ props }">
              <v-btn v-bind="props" style="font-size: large" :append-icon="mdiChevronDown"
                >เมนูเจ้าหน้าที่
              </v-btn>
            </template>
            <v-list>
              <v-list-item>
                <v-list-item-title
                  ><v-btn to="/form" variant="plain" style="font-size: large"
                    >จัดการแบบประเมิน
                  </v-btn></v-list-item-title
                >
              </v-list-item>
              <v-list-item>
                <v-list-item-title
                  ><v-btn to="/staff" variant="plain" style="font-size: large"
                    >จัดการเจ้าหน้าที่
                  </v-btn></v-list-item-title
                >
              </v-list-item>
            </v-list>
          </v-menu>
          <!-- <v-btn v-if="user && user.role !== 'user'">เมนูเจ้าหน้าที่</v-btn> -->
        </v-col>
      </v-row></v-container
    ></v-toolbar
  >
</template>
<style scoped></style>
